<?php
/**
 * iF.SVNAdmin
 * Copyright (c) 2010 by Manuel Freiholz
 * http://www.insanefactory.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.
 */
if( !defined('ACTION_HANDLING') ) {
  die("HaHa!");
}

// Check module.
$appEngine->forwardInvalidModule( !$appEngine->isRepositoryEditActive() );

// Get required variables.
$reponame = get_request_var("reponame");
$repotype = get_request_var("repotype");

// Check fields.
if( $reponame == NULL )
{
  $appTemplate->addDefine("WARNING");
  $appTemplate->addReplacement("WARNINGMSG",$appTR->tr("You have to fill out all fields."));
}
else
{
  // Create object.
  $r = new \svnadmin\core\entities\Repository();
  $r->name = $reponame;

  $b = $appEngine->getRepositoryEditProvider()->create( $r, $repotype );
  if( $b )
  {
    $appEngine->getRepositoryEditProvider()->save();
    $appTemplate->addDefine("INFO");
    $appTemplate->addReplacement("INFOMSG",$appTR->tr("Done"));

    if (get_request_var("accesspathcreate") != NULL && $appEngine->isAccessPathEditActive())
    {
      // Create user object.
      $ap = new \svnadmin\core\entities\AccessPath;
      $ap->path = $reponame.":/";
      if ($appEngine->getAccessPathEditProvider()->createAccessPath($ap))
        $appEngine->getAccessPathEditProvider()->save();
    }
  }
  else
  {
    $appTemplate->addDefine("ERROR");
    $appTemplate->addReplacement("ERRORMSG",$appTR->tr("An unknown error occured. Check your configuration, please."));
  }
}
?>